summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2021-01-12 22:24:03 +0000
committermidipix <writeonce@midipix.org>2021-01-12 22:24:03 +0000
commit67777143189f4bed843060f58ec3f70dbc9aa965 (patch)
tree7cb8e258aac45519fc7950c0a320f8c8a00f82ea
parent38461fb41746db5c45a5a86cbaa9b7589ea880ec (diff)
downloadmpackage-67777143189f4bed843060f58ec3f70dbc9aa965.tar.bz2
mpackage-67777143189f4bed843060f58ec3f70dbc9aa965.tar.xz
once/custom.sh: create symbolic links for libnettle, libtinfo{w} as needed.
-rwxr-xr-xonce/custom.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/once/custom.sh b/once/custom.sh
index 26b3e58..9127057 100755
--- a/once/custom.sh
+++ b/once/custom.sh
@@ -16,6 +16,18 @@ chmod 0775 "$SYSROOT"/tmp || exit 2
mkdir -p "$SYSROOT"/var/log/ntctty || exit 2
chmod 0775 "$SYSROOT"/var/log/ntctty || exit 2
+if ! [ -f /bin/libnettle.so ]; then
+ ln -s libnettle.so.8 /bin/libnettle.so
+fi
+
+if ! [ -f /bin/libtinfo.so ]; then
+ ln -s libtinfo.so.6 /bin/libtinfo.so
+fi
+
+if ! [ -f /bin/libtinfow.so ]; then
+ ln -s libtinfow.so.6 /bin/libtinfow.so
+fi
+
if [ -f /vendor.sh ]; then
/vendor.sh
fi